package ervu_dashboard.model.chart;

import java.util.List;

import component.chart.dto.ChartDataSetDto;
import component.chart.dto.ChartPointDto;

/**
 * @author Vitaly Chekushkin
 */
public class ErvuChartDataSetDto extends ChartDataSetDto {

  public Integer borderRadius;
  public String barPercentage;

  public String[] backgroundColors;

  public ErvuChartDataSetDto(String label, String type,
      List<ChartPointDto> data) {
    super(label, type, data);
  }

  public Integer getBorderRadius() {
    return borderRadius;
  }

  public void setBorderRadius(Integer borderRadius) {
    this.borderRadius = borderRadius;
  }

  public String getBarPercentage() {
    return barPercentage;
  }

  public void setBarPercentage(String barPercentage) {
    this.barPercentage = barPercentage;
  }

  public String[] getBackgroundColors() {
    return backgroundColors;
  }

  public void setBackgroundColors(String[] backgroundColors) {
    this.backgroundColors = backgroundColors;
  }
}
